<?php
/* Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('writer_ancora_instagram_feed_theme_setup')) {
	add_action( 'writer_ancora_action_before_init_theme', 'writer_ancora_instagram_feed_theme_setup', 1 );
	function writer_ancora_instagram_feed_theme_setup() {
		if (is_admin()) {
			add_filter( 'writer_ancora_filter_required_plugins',					'writer_ancora_instagram_feed_required_plugins' );
		}
	}
}

// Check if Instagram Feed installed and activated
if ( !function_exists( 'writer_ancora_exists_instagram_feed' ) ) {
	function writer_ancora_exists_instagram_feed() {
		return defined('SBIVER');
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'writer_ancora_instagram_feed_required_plugins' ) ) {
	function writer_ancora_instagram_feed_required_plugins($list=array()) {
		if (in_array('instagram_feed', writer_ancora_storage_get('required_plugins')))
			$list[] = array(
					'name' 		=> esc_html__('Instagram Feed', 'writer-ancora'),
					'slug' 		=> 'instagram-feed',
					'required' 	=> false
				);
		return $list;
	}
}
?>